package cn.quant.baa.pay.model.dto;

import java.io.Serializable;

/**
 * Created by Administrator on 2021/8/23 0023.
 */
public class DictionaryItemDTO implements Serializable {
    private static final long serialVersionUID = -1385949230287727125L;

    private Long id;

    private Long parentId;

    private String type;

    private String code;

    private String text;

    private String value;

    private String imageUrl;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("DictionaryItemDTO{");
        sb.append("id=").append(id);
        sb.append(", parentId=").append(parentId);
        sb.append(", type='").append(type).append('\'');
        sb.append(", code='").append(code).append('\'');
        sb.append(", text='").append(text).append('\'');
        sb.append(", value='").append(value).append('\'');
        sb.append(", imageUrl='").append(imageUrl).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
